#ifndef _SERIAL_H_
#define _SERIAL_H_

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>

void arc_serial_init(void);


uint8_t arc_printf(const char* fmt, ...);

#ifdef DEBUG
#define printf(f_, ...) arc_printf((f_), ##__VA_ARGS__)
#else
#define printf(f_, ...) void(f_, ...)
#endif


#endif
